| ParkinGo 1.0.1

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
com.example.infiniteLoop.parkingo.userInfo Class Reference

## Public Member Functions
String | getName ()
| get the u_name of userInfo More...
void | setU_name (String u_name)
| set the u_name of userInfo More...
String | getUsername ()
| get the username of userInfo More...
void | setUsername (String username)
| set the username of userInfo More...
int | getBalance ()
void | setBalance (int newBalance)
void | deductCharge (int charge)

## Static Public Member Functions
static userInfo | getInstance ()
| Return the userInfo Object. More...

## Static Public Attributes
static userInfo | u_instance =null

## Member Function Documentation

## ◆ getInstance()

static userInfo com.example.infiniteLoop.parkingo.userInfo.getInstance | ( |  | ) |
| inline static

Return the userInfo Object.

Returns
  userInfo

## ◆ getName()

String com.example.infiniteLoop.parkingo.userInfo.getName | ( |  | ) |
| inline

get the u_name of userInfo

Returns
  String

## ◆ getUsername()

String com.example.infiniteLoop.parkingo.userInfo.getUsername | ( |  | ) |
| inline

get the username of userInfo

Returns
  String

## ◆ setU_name()

void com.example.infiniteLoop.parkingo.userInfo.setU_name | ( | String | u_name | ) |
| inline

set the u_name of userInfo

Returns
  void

## ◆ setUsername()

void com.example.infiniteLoop.parkingo.userInfo.setUsername | ( | String | username | ) |
| inline

set the username of userInfo

Returns
  void

The documentation for this class was generated from the following file:

- /home/bhavesh/Desktop/cs699/parkingo/parkingo/source/app/src/main/java/com/example/infiniteLoop/parkingo/userInfo.java